-- Vars Addon File
-- @author    : Homeo
-- @lastModif : 23/09/2017

--------------------
--- GLOBAL VARS ----
--------------------
SAK = {
		name = "SwissArmyKnife",
		author = "|c0080ffHomeo|r",
		version = "5.7.2",
		playerName = GetUnitName("player"),

		--Debug
		--playerName = "Your Name Here",

		-- Icons
		clefBis = "|t80%:80%:esoui/art/icons/quest_grinddoorkey_bone.dds|t",
		clefIcon = "|t80%:80%:/esoui/art/icons/quest_daedricembers.dds|t",
		bagIcon = "|t70%:70%:esoui/art/tooltips/icon_bag.dds|t",
		bankIcon = "|t70%:70%:esoui/art/icons/servicemappins/servicepin_bank.dds|t",
		GoldIcon = "|t70%:70%:EsoUI/Art/currency/currency_gold.dds|t",
		TelVarIcon = "|t80%:80%:EsoUI/Art/currency/currency_telvar.dds|t",
		itemLink = "|H0:item:64487:123:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		Alliance_1 = "|t90%:90%:esoui/art/stats/alliancebadge_aldmeri.dds|t",
		Alliance_2 = "|t90%:90%:esoui/art/stats/alliancebadge_ebonheart.dds|t",
		Alliance_3 = "|t90%:90%:esoui/art/stats/alliancebadge_daggerfall.dds|t",
		sigilIcon = "|t100%:100%:/esoui/art/icons/rune_a.dds|t",
		sigil = "|H0:item:68347:1:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		roe = "|H0:item:64222:1:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		roeIcon = "|t100%:100%:/esoui/art/icons/crafting_heavy_armor_vendor_component_002.dds|t",
		iconChamp = "|t70%:70%:esoui/art/champion/gamepad/gp_champion_icon.dds|t",
		iconLockPick = "|H0:item:30357:30:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		iconLockPick_2 = "/esoui/art/icons/lockpick.dds",
		iconSoulGemFilled = "|H0:item:33271:1:1:0:0:0:0:0:0:0:0:0:0:0:0:36:0:0:0:0:0|h|h",
		iconSoulGemFilled_2 = "/esoui/art/icons/soulgem_006_filled.dds",
		iconSoulGemEmpty = "|H0:item:33265:1:1:0:0:0:0:0:0:0:0:0:0:0:0:36:0:0:0:0:0|h|h",
		iconSoulGemEmpty_2 = "/esoui/art/icons/soulgem_006_empty.dds",
		iconPoHeal = "|H0:item:27036:307:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		iconPoHeal_2 = "/esoui/art/icons/consumable_potion_001_type_005.dds",
		iconPoMana = "|H0:item:27037:307:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		iconPoMana_2 = "/esoui/art/icons/consumable_potion_002_type_005.dds",
		iconPoStam = "|H0:item:27038:307:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		iconPoStam_2 = "/esoui/art/icons/consumable_potion_003_type_005.dds",
		iconClef = "/esoui/art/icons/quest_grinddoorkey_bone.dds",
		iconCembers = "/esoui/art/icons/quest_daedricembers.dds",
		iconSigil = "/esoui/art/icons/rune_a.dds",
		iconBag = "/esoui/art/tooltips/icon_bag.dds",
		iconBank = "/esoui/art/icons/servicemappins/servicepin_bank.dds",
		iconTP = "|t90%:90%:esoui/art/icons/mapkey/mapkey_wayshrine.dds|t",
		stolenIcon = "|t70%:70%:esoui/art/inventory/inventory_stolenitem_icon.dds|t",
		timerIcon = "|t100%:100%:esoui/art/miscellaneous/gamepad/gp_icon_timer32.dds|t",
		daggerIconRed = "|t90%:90%:esoui/art/hud/infamy_dagger-red.dds|t",
		heatIcon = "|t70%:70%:esoui/art/stats/justice_bounty_icon-red.dds|t",
		heatIconWhite = "|t70%:70%:esoui/art/stats/justice_bounty_icon-white.dds|t",
		AlliIcon = "|t70%:70%:esoui/art/currency/alliancepoints.dds|t",
		IconMountEmpty = "|t120%:120%:EsoUI/art/mounts/tabicon_mounts_disabled.dds|t",
		IconMountFull = "|t120%:120%:EsoUI/art/mounts/tabicon_mounts_up.dds|t",
		IconCapacity = "|t110%:110%:EsoUI/art/mounts/ridingskill_capacity.dds|t",
		IconSpeed = "|t110%:110%:EsoUI/art/mounts/ridingskill_speed.dds|t",
		IconStamina = "|t110%:110%:EsoUI/art/mounts/ridingskill_stamina.dds|t",
		IconVoucher = "|t80%:80%:esoui/art/currency/currency_writvoucher.dds|t",
		IconTransmute = "|t80%:80%:esoui/art/currency/icon_seedcrystal.dds|t",
		IconClothing = "/esoui/art/inventory/inventory_tabicon_craftbag_clothing_up.dds",
		IconBlacksmith = "/esoui/art/inventory/inventory_tabicon_craftbag_blacksmithing_up.dds",
		IconWoodwork = "/esoui/art/inventory/inventory_tabicon_craftbag_woodworking_up.dds",
		IconEnchant = "/esoui/art/inventory/inventory_tabicon_craftbag_enchanting_up.dds",
		IconProvision = "/esoui/art/inventory/inventory_tabicon_craftbag_provisioning_up.dds",
		IconAlchemy = "/esoui/art/inventory/inventory_tabicon_craftbag_alchemy_up.dds",
		iconCombat_1 = "/esoui/art/icons/consumable_potion_010_type_003.dds",
		iconCombat_11 = "|H0:item:71073:30:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		iconCombat_2 = "/esoui/art/icons/consumable_potion_008_type_003.dds",
		iconCombat_22 = "|H0:item:71071:30:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		iconCombat_3 = "/esoui/art/icons/consumable_potion_009_type_003.dds",
		iconCombat_33 = "|H0:item:71072:30:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		IconMonk = "/esoui/art/icons/justice_stolen_prop_royal_carpet.dds",
		IconMonk_2 = "|H0:item:79332:33:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		IconEdit = "/esoui/art/icons/store_bounty_expunger_medium.dds",
		IconEdit_2 = "|H0:item:73754:33:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h",
		IconPoVanish = "/esoui/art/icons/consumable_potion_010_type_003.dds",
		IconPoVanish_2 = "|H0:item:74728:307:50:0:0:0:0:0:0:0:0:0:0:0:0:36:0:0:0:0:0|h|h", -- Vanish
		IconPoSpeed_2 = "|H0:item:74729:307:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h", -- Speed
		IconPoInvi = "/esoui/art/icons/consumable_potion_011_type_005.dds",
		IconPoInvi_2 = "|H1:item:44715:308:50:0:0:0:0:0:0:0:0:0:0:0:0:36:0:0:0:0:1441792|h|h",
		IconMail = "|t110%:110%:esoui/art/chatwindow/chat_mail_up.dds|t",
		IconSearch = "|t110%:110%:esoui/art/miscellaneous/search_icon.dds|t",

		-- Images
		OUTLINE = "SwissArmyKnife/Img/outline.dds",
		}

CHAMPION_ICONS =
{
    [ATTRIBUTE_HEALTH] = "|t90%:90%:EsoUI/Art/Champion/champion_points_health_icon-HUD-32.dds|t",
    [ATTRIBUTE_MAGICKA] = "|t90%:90%:EsoUI/Art/Champion/champion_points_magicka_icon-HUD-32.dds|t",
    [ATTRIBUTE_STAMINA] = "|t90%:90%:EsoUI/Art/Champion/champion_points_stamina_icon-HUD-32.dds|t",
}

--------------------
---- SAVED VARS ----
--------------------
function DefaultSettings()
	local defaults = {
			ShowStart = true,
			MINIMUM_GOLD_SAVINGS = 1000,
			MINIMUM_TELVAR_SAVINGS = 100,
			MINIMUM_ALLIANCE_SAVINGS = 100,
			MAXIMUM_TELVAR_SAVINGS = 100,
			MINIMUM_WRITVOUCHER_SAVINGS = 0,
			SHOW_KEY_ALL = false,
			MUST_BE_SHOWN = false,
			SEUIL_REPAIR = 20,
			colour = {
				r = 255,
				g = 0,
				b = 0,
				a = 255,
				},
			colorTexte = {
				r = 255,
				g = 0,
				b = 0,
				a = 255,
				},
			SEUIL_REPAIR_ARM = 20,
			colour_arm = {
				r = 255,
				g = 0,
				b = 0,
				a = 255,
				},
			colorTexte_arm = {
				r = 255,
				g = 0,
				b = 0,
				a = 255,
				},
			OffsetX = 0,
			OffsetY = 0,
			OffsetWritX = 0,
			OffsetWritY = 0,
			ALL_CHAR = true,

			--Text Auto for group
			SAY_HELLO = "Hello",
			SAY_THANKS = "Thank you all, have a nice day and bye bye",
			SAY_PLOP = "Plop, ca boom ?",
			SAY_GUILD_1 = "Hello everyones",
			SAY_GUILD_2 = "Hello everyones",
			SAY_GUILD_3 = "Hello everyones",
			SAY_GUILD_4 = "Hello everyones",
			SAY_GUILD_5 = "Hello everyones",
			
			--Display vars
			DISPLAY_TIME_PLAYED = true,
			DISPLAY_SESSION_GOLD = true,
			DISPLAY_HEAT = true,
			DISPLAY_DAGGER = true,
			DISPLAY_WARNING = true,
			DISPLAY_THIEF = true,
			DISPLAY_AT_START = true,
			DISPLAY_DEADRIC = true,
			DISPLAY_POTION = false,
			DISPLAY_SOULGEM = false,
			DISPLAY_REPAIRCOST = true,
			DISPLAY_BAGBANK = true,
			DISPLAY_XP = true,
			DISPLAYINCOMBAT = false,
			DISPLAY_ALARM_TELVAR = true,
			DISPLAY_GOLD = true,
			DISPLAY_TELVAR = false,
			DISPLAY_ALLIANCE = false,
			DISPLAY_MOUNT = true,
			DISPLAY_POOL = false,
			DISPLAY_POOLBAR = true,
			DISPLAY_CH_PT = true,
			DISPLAY_TRAVEL = true,
			DISPLAY_TRANSMUTE = true,
			DISPLAY_JUNK = true,
			DISPLAY_JUNK_BAG = true,
			DISPLAY_WRIT = false,
			DISPLAY_JUNKED = true,
			DISPLAY_LOCKED = true,
			DISPLAY_AUTO_JUNKED = true,
			DISPLAY_COMBAT_POPO = false,
			DISPLAY_WRITVOUCHER = true,
			DISPLAY_REPAIR = true,
			DISPLAY_REPAIR_TXT = true,
			DISPLAY_RECHARGE = true,
			DISPLAY_RECHARGE_TXT = true,
			DISPLAY_HELMET = true,
			DISPLAY_LOOT_CHAT = true,
			DISPLAY_STEALING = false,
			DISPLAY_WRITHELPER_WINDOW = true,
			DISPLAY_WRITHELPER_WINDOW_WARNING = true,
			DISPLAY_WRITHELPER_WINDOW_LFG = true,
			DISPLAY_MAIL = true,
			USE_BANK = true,
			DEPOSIT_MONEY = true,
			DEPOSIT_TELVAR = true,
			DEPOSIT_ALLIANCE = true,
			DEPOSIT_WRIT = true,

			--Global vars
			Display_Bandeau = 1,
			GOLD_CONNECTED = 0,
			TELVAR_CONNECTED = 0,
			ALLIANCE_CONNECTED = 0,
			CONNECTED_TIME = 0,
			SAVE_MAIL = 0,
			REPAIR_COST_DISPLAY = false,
			BASE_HOME = "",
			BOUNTY = 0,
			BOUNTY_START = 0,
			BOUNTY_TIMER = 0,
			BOUNTY_DISPLAY = 0,
			TELVAR_DISPLAY = 0,
			TOTALSELL = 0,
 			SELLUSED = 0,
			SEND_MONEY = 0,
			MIN_BAG_TRESHOLD = 5,
			SEUIL_CHARGE_AUTO = 0,
			AT_STATION = false,
			}
	return defaults
end
